datablock fxDTSBrickData (brickPresetAir : brick1x1Data)
{
	category = "Presets";
	subCategory = "Wrench Menu";
	uiName = "Air Preset";
};

datablock fxDTSBrickData (brickPresetInvisible : brick1x1Data)
{
	category = "Presets";
	subCategory = "Wrench Menu";
	uiName = "Invisible Preset";
};

datablock fxDTSBrickData (brickPresetDecollision : brick1x1Data)
{
	category = "Presets";
	subCategory = "Wrench Menu";
	uiName = "Decollision Preset";
};

function brickPresetAir::onLoadPlant(%data,%obj)
{
	brickPresetAir::onPlant(%data,%obj);
}

function brickPresetInvisible::onLoadPlant(%data,%obj)
{
	brickPresetInvisible::onPlant(%data,%obj);
}

function brickPresetDecollision::onLoadPlant(%data,%obj)
{
	brickPresetDecollision::onPlant(%data,%obj);
}

function brickPresetAir::onPlant(%data,%brick)
{
	%brick.setColliding(0);
	%brick.setRendering(0);
	%brick.setRayCasting(0);
}

function brickPresetInvisible::onPlant(%data,%brick)
{
	%brick.setRendering(0);
}

function brickPresetDecollision::onPlant(%data,%brick)
{
	%brick.setColliding(0);
	%brick.setRayCasting(0);
}